com.io7m.smfj.processing.api

## Class SMFAttributeArrayIntegerSigned2.Builder

- java.lang.Object
- - com.io7m.smfj.processing.api.SMFAttributeArrayIntegerSigned2.Builder

- Enclosing class:
    SMFAttributeArrayIntegerSigned2

      public static final class SMFAttributeArrayIntegerSigned2.Builder
      extends Object

  Builds instances of type `SMFAttributeArrayIntegerSigned2`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SMFAttributeArrayIntegerSigned2.Builder` | `addAllValues(Iterable<com.io7m.jtensors.core.unparameterized.vectors.Vector2L> element)`
    `SMFAttributeArrayIntegerSigned2.Builder` | `addValues(com.io7m.jtensors.core.unparameterized.vectors.Vector2L element)`
    `SMFAttributeArrayIntegerSigned2` | `build()` Builds a new `SMFAttributeArrayIntegerSigned2`.
    `SMFAttributeArrayIntegerSigned2.Builder` | `from(SMFAttributeArrayIntegerSigned2Type instance)` Fill a builder with attribute values from the provided `SMFAttributeArrayIntegerSigned2Type` instance.
    `SMFAttributeArrayIntegerSigned2.Builder` | `setIterableValues(Iterable<com.io7m.jtensors.core.unparameterized.vectors.Vector2L> elements)`
    `SMFAttributeArrayIntegerSigned2.Builder` | `setValues(javaslang.collection.Vector<com.io7m.jtensors.core.unparameterized.vectors.Vector2L> elements)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final SMFAttributeArrayIntegerSigned2.Builder from(SMFAttributeArrayIntegerSigned2Type instance)

      Fill a builder with attribute values from the provided `SMFAttributeArrayIntegerSigned2Type` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### addValues

          public SMFAttributeArrayIntegerSigned2.Builder addValues(com.io7m.jtensors.core.unparameterized.vectors.Vector2L element)

    - #### addAllValues

          public SMFAttributeArrayIntegerSigned2.Builder addAllValues(Iterable<com.io7m.jtensors.core.unparameterized.vectors.Vector2L> element)

    - #### setValues

          public SMFAttributeArrayIntegerSigned2.Builder setValues(javaslang.collection.Vector<com.io7m.jtensors.core.unparameterized.vectors.Vector2L> elements)

    - #### setIterableValues

          public SMFAttributeArrayIntegerSigned2.Builder setIterableValues(Iterable<com.io7m.jtensors.core.unparameterized.vectors.Vector2L> elements)

    - #### build

          public SMFAttributeArrayIntegerSigned2 build()

      Builds a new `SMFAttributeArrayIntegerSigned2`.
      Returns:
        An immutable instance of SMFAttributeArrayIntegerSigned2
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com